
* STARTED Org Mode: Prompt for a heading and then refile it to point  :org:
:PROPERTIES:
:CREATED: [2024-10-31 Thu 10:35]
:Effort:   0:30
:QUANTIFIED: Emacs
:EXPORT_DATE: 2024-10-31T10:42:20-0400
:EXPORT_ELEVENTY_PERMALINK: /blog/2024/10/org-mode-prompt-for-a-heading-and-then-refile-it-to-point/
:EXPORT_ELEVENTY_FILE_NAME: blog/2024/10/org-mode-prompt-for-a-heading-and-then-refile-it-to-point/
:END:
:LOGBOOK:
CLOCK: [2024-10-31 Thu 10:35]
:END:

I sometimes want the inverse of ~org-refile~ when
I create a subtree and think of things that should
probably go into it. This function prompts for a
heading that matches ~org-refile-targets~ and then
moves it to the current location.

#+begin_src emacs-lisp
(defun my-org-refile-to-point (refloc)
	"Prompt for a heading and refile it to point."
	(interactive (list (org-refile-get-location "Heading: ")))
	(let* ((file (nth 1 refloc))
				 (pos (nth 3 refloc)))
		(save-excursion
			(with-current-buffer (find-file-noselect file 'noward)
				(save-excursion
					(save-restriction
						(widen)
						(goto-char pos)
						(org-copy-subtree 1 t))))
			(org-paste-subtree nil nil nil t))))
#+end_src
